#! /bin/sh -e
#  /usr/lib/emacsen-common/packages/install/foo
# [ This particular script hasn't been tested, so be careful. ]

set -e

FLAVOR=$1
PACKAGE="html-helper-mode"

if [ "X${FLAVOR}" = "X" ]; then
    echo Need argument to determin FLAVOR of emacs;
    exit 1
fi

if [ "X${PACKAGE}" = "X" ]; then
    echo Internal error: need package name;
    exit 1;
fi

ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}

STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el";
VDELFILE="vine-default-${PACKAGE}.el"

SITELISP=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}

#EFLAGS="-batch -q"
EFLAGS="-batch -l HHM-MK"
COMPILE="-batch -q -f batch-byte-compile"

case "${FLAVOR}" in
	emacs|emacs19)
	;;
	*)

	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
#	if [ "${FLAVOR}" = "mule2" ]; then
#		if [ ! -d /usr/share/emacs/site-lisp/clime ]; then
#		echo " exited."
#		echo "W: Please install \`clime' package for mule2." ;
#		exit 0;
#		fi
#	else
#		if [ ! -d /usr/share/emacs/site-lisp/flim ]; then
#		echo " exited."
#		echo "W: Please install \`flim' package for ${FLAVOR}." ;
#		exit 0;
#		fi
#	fi

	rm -rf ${ELCDIR}
    install -m 755 -d ${ELCDIR}

    # Byte compile
    (cd ${ELDIR}
	${FLAVOR} ${EFLAGS}   > ${ELCDIR}/CompilationLog 2>&1
	install -m0644 *.elc ${ELCDIR} > ${ELCDIR}/CompilationLog 2>&1
	rm -f *.elc           > ${ELCDIR}/CompilationLog 2>&1
	rm -f ${ELCDIR}/*.el
	install -m0644 ${VDELFILE} ${ELCDIR} > ${ELCDIR}/CompilationLog 2>&1
    )

	gzip -9 ${ELCDIR}/CompilationLog

	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/75${STARTFILE};
	echo " done."
	;;
esac

exit 0;
